// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef COMPONENTLIB_STDPORTS_CSTART_H
#define COMPONENTLIB_STDPORTS_CSTART_H

/************************************************************
 Cstart class header
 ************************************************************/

#include "componentlib/StdPorts/Pkg_StdPorts.h"

namespace sysinterfaces {
class IStart;
}

namespace componentlib {
namespace StdPorts {

/************************************************************/
/**
 * 
 */
class Cstart {
public:

	/**
	 * 
	 * @return ret 
	 */
	virtual ::sysinterfaces::IStart* get_start() = 0;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StdPorts
} // of namespace componentlib

/************************************************************
 End of Cstart class header
 ************************************************************/

#endif
